@import '../../styles/--scss-vars.scss';

.tips {
  .winner {
    padding: $subdiv * 2 0 0;
    .reward-btn {
      text-align: center;
      padding: $subdiv * 2;
    }
    .total-earn {
      font-size: $subdiv * 4 - 2;
      padding: $subdiv * 1 $subdiv * 4 $subdiv * 1 $subdiv * 4;
    }
    .item {
      padding: $subdiv * 2 - 2 $subdiv * 4 $subdiv * 2 - 2 $subdiv * 4;
      line-height: 1.2;
      .left-box {
        .count {
          color: $color-w0;
          font-size: $subdiv * 2 + 2;
          font-weight: 700;
          padding: $subdiv;
        }
        .avtar {
          width: $subdiv * 5 + 1;
          margin: 0 $subdiv;
          img {
            width: $subdiv * 5 + 1;
            height: $subdiv * 5 + 1;
            @include border-radius(50%);
            object-fit: cover;
            vertical-align: middle;
          }
        }
        .name {
          color: $color-w0;
          font-size: $subdiv * 3 - 1;
          font-weight: 700;
          padding: $subdiv;
        }
      }
      .right-box {
        .amount {
          color: $color-w0;
          font-size: $subdiv * 3 - 1;
          font-weight: 700;
          padding: $subdiv;
        }
        .emoji {
          padding: 0 $subdiv;
        }
      }
    }
    .more {
      padding: $subdiv * 2 - 2 $subdiv * 3 $subdiv * 2 - 2;
      line-height: 1;
      text-align: center;
      a {
        color: $color-w0;
        font-size: $subdiv * 2 + 2;
        font-weight: 700;
      }
    }
  }
  .inner {
    overflow-x: hidden;
    overflow-y: auto;
    height: $column3 - $gutter / 2;
    padding: 0 $subdiv * 2 0 $subdiv;
    .userlist {
      .item {
        border-top: 1px solid $color-d3;
        padding: $subdiv * 2 - 2 $subdiv * 2 $subdiv * 2 - 2 $subdiv * 2;
        .left-box {
          width: 60%;
          .avtar {
            width: $subdiv * 5 + 1;
            margin-right: $subdiv * 2;
            img {
              width: $subdiv * 5 + 1;
              height: $subdiv * 5 + 1;
              @include border-radius(50%);
              object-fit: cover;
            }
          }
          .detail {
            flex-direction: column;
            width: calc(calc(100% - $subdiv * 5) + 1px);

            .name {
              font-size: $subdiv * 3 - 1;
              font-weight: 700;
            }
            .time {
              font-size: $subdiv * 2;
            }
          }
        }
        .right-box {
          width: 40%;
          .amount {
            color: $color-w0;
            font-size: $subdiv * 3 - 1;
            font-weight: 700;
            padding: $subdiv;
          }
          .emoji {
            padding: 0 $subdiv;
          }
        }
      }
    }
  }
}
